rem WINDOWS XP VERSIOON, TEISTEL TULEB ANALOOGSELT MUUTA KAUSTASID
@echo off
set user=villu164
:XP
set h1=c:\DOCUME~1\Viljar
set ch1=/cygdrive/c/DOCUME~1/Viljar
GOTO BACKUP
:NOTXP
set h1=c:\Users\Viljar
set ch1=/cygdrive/c/Users/Viljar
:BACKUP
title IMS Backup
rem identity's ei tohi olla tühikuid, muidu ei tööta - Windows'i all saab kirjutada kõiki aadresse ilma tühikuta vormis 8+3
rem asenda sinna näitama, kus on päriselt genereeritud private key
rem lapsepõlve sõber "reinuvader rein"
rem IMS.Varukoopia@gmail.com
rem miCj2HI6ra

set identity=%ch1%/.ssh/authorized_keys
C:\rsync\rsync.exe -va -e "C:\rsync\ssh -i %identity%" "%ch1%/Desktop/sources/" %user%@ims.ut.ee:~/backup/IMS/ >> rsync_log.txt
cscript sendemail.vbs villu164@gmail.com "Minu kirja pealkiri" "Minu kirja sisu %DATE% %TIME%" c:\rsync\rsync_log.txt
:END
echo on